/************************************************************************* Defaults */
body {
	margin: 0;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	overflow-x: hidden;
	font-family: var(--e-global-typography-text-font-family), Sans-serif;
}
h1, h2, h3, h4, h5, h6, p {
	margin-top: 0;
}
a {
	color: inherit;
}
strong {
	font-weight: 600;	
}


body:not(elementor-editor-active) .overflowed {
	overflow: hidden;
}

/************************************************************************* Text Editor */
.elementor-widget-text-editor p:last-child {
	margin-bottom: 0;
}
.elementor-widget-text-editor a {
	text-decoration: underline;
	font-weight: 600;
}


.elementor-button-content-wrapper {
	align-items: center;
}



header > div:not(.elementor-sticky--effects) {
	background-color: transparent !important;
}
.header:not(.elementor-sticky--effects) .logo .cls-1 {
    fill: #00a0df !important;
    color: #00a0df !important;
}
.header.white:not(.elementor-sticky--effects) .logo .cls-2,
.header.white:not(.elementor-sticky--effects) .logo .cls-3,
.header.white:not(.elementor-sticky--effects) #hamburger svg {
    fill: #ffffff;
}
.header.white:not(.elementor-sticky--effects) #hamburger .elementor-button-text {
	color: #ffffff;
}



.elementor-button {
	position: relative;
	overflow: hidden;
	z-index: 1;
}
.elementor-button::before {
	content: "";
	position: absolute;
	width: 300%;
	height: 300%;
	left: 50%;
	top: 50%;
	background: #0096D1;
	border-radius: 50%;
	z-index: 0;
	transform: translate(50%, 50%) scale(0);
	transition: transform 1s ease;
}
.white-hover .elementor-button:before {
	background: #FFFFFF !important;	
}
.no-hover .elementor-button:before {
	background: transparent !important;	
}
.elementor-button.is-hover::before {
	transform: translate(-50%, -50%) scale(1);
}
.elementor-button.is-leaving::before {
	transform: translate(-150%, 50%) scale(0);
}
.elementor-button .elementor-button-content-wrapper {
	position: relative;
	z-index: 2;
}


.mainmenu li {
	opacity: 0.5;
}
/*
.mainmenu:hover li {
	opacity: 0.5;
	transition: opacity 0.2s ease;
}
*/
.mainmenu li:hover {
	opacity: 1;
}


br.hide-desktop {
    display: none;
}


.autoflowed {
	overflow: hidden;
}

.autoflow .slick-list,
.autoflow .swiper {
	overflow: visible;	
}





#hamburger {
	cursor: pointer;
}

.mainmenu {
	margin: 0;
    padding: 0;
    list-style: none;
    color: #fff;
    font-size: 30px;
    display: flex;
    flex-direction: column;
    gap: 25px;
}






.greyscale-images img {
	filter: grayscale(1);
}








.counter {
	counter-reset: countDrac;
}

.counter > *::before {
	counter-increment: countDrac;
	content: counter(countDrac, decimal-leading-zero);
	font-family: var(--e-global-typography-text-font-family), Sans-serif;
	font-weight: 600;
	font-size: 22px;
	letter-spacing: 2.224px;
	color: var( --e-global-color-accent );
	margin-bottom: 14px;
    display: block;
}







.overlay {
	opacity: 0;
	visibility: hidden;
	transition: 0.5s;
}
.hovered:hover .overlay {
	opacity: 1;
	visibility: visible;
}





.service-hover {
	overflow: hidden;
}
.service-hover .heading {
	transform: translateY(18px);
	transition: transform 0.5s ease;
}
.service-hover .text {
	max-height: 0;
	opacity: 0;
	transform: translateY(10px);
	overflow: hidden;
	transition: all 0.5s ease;
}
.service-hover .elementor-button {
	width: 44px;
    height: 44px;
    padding: 0 14px 0 0;
    overflow: hidden;
    transition: all 0.5s ease;
    white-space: nowrap;
    display: flex;
    align-items: center;
    justify-content: end;
}
.service-hover .elementor-button-text {
	opacity: 0;
	transform: translateX(-10px);
	transition: all 0.4s ease;
}

.service-hover:hover .heading {
	transform: translateY(-12px);
}
.service-hover:hover .text {
	max-height: 200px;
	opacity: 1;
	transform: translateY(-6px);
}
.service-hover:hover .elementor-button {
	width: auto;
	padding: 12px 20px;
}
.service-hover:hover .elementor-button-text {
	opacity: 1;
	transform: translateX(0);
}






.wp-block-gallery.has-nested-images {
    margin: 40px 0;
    padding: 0;
    width: 100%;
    column-gap: 20px;
}
.wp-block-gallery.has-nested-images.columns-4 {
	columns: 4;
}
.wp-block-gallery.has-nested-images figure {
	height: 200px;
    margin: 0 0 20px 0;
}
.wp-block-gallery.has-nested-images figure img {
	width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
}
figure {
	margin: 0;
    padding: 0;
}
figure img {
	border-radius: 15px !important;
}
ul.wp-block-list {
	padding-left: 21px;
}
blockquote {
	border-left: 3px solid var(--e-global-color-accent);
    padding: 18px 0 1px 30px;
    margin: 40px 0;
}
blockquote p {
	font-style: italic;
    font-size: 22px;
}





.elementor-field-type-radio > label {
	height: auto;
    margin: 0 0 15px 0;
    position: relative;
    top: 0;
    width: auto;
    clip: unset;
}
input,
textarea {
	padding-left: 0 !important;
    padding-right: 0 !important;
    box-shadow: none !important;
}








.gallery-main figure a {
    height: 584px;
    display: block;
    overflow: hidden;
}
.gallery-main figure a img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
}
.gallery-main .slick-arrow {
    padding: 0;
    border: 0;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
    left: 30px;
}
.gallery-main .slick-arrow.slick-next {
    right: 30px;
    left: auto;
}

@media screen and (max-width: 768px) {
    .gallery-main figure a {
        height: 300px;
    }
}



.gallery-thumbs figure a {
    height: 175px;
    display: block;
    overflow: hidden;
}
.gallery-thumbs figure a img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
}


@media screen and (max-width: 1400px) {

	
}

@media screen and (max-width: 1024px) {

	.mainmenu {
	    font-size: 22px;
	    gap: 30px;
	}
	
	.wp-block-gallery.has-nested-images.columns-4 {
		columns: 2;
	}	

}

@media screen and (max-width: 768px) {
	
	
	
	
	
	.service-hover .heading {
		transform: translateY(0);
	}
	
	.service-hover .elementor-widget-button {
		position: relative !important;
		right: auto;
		width: max-content;
	}

	.service-hover .elementor-button {
		width: auto;
	    height: 44px;
	    padding: 12px 20px;
	    overflow: hidden;
	    transition: all 0.5s ease;
	    white-space: nowrap;
	    display: flex;
	    align-items: center;
	    justify-content: end;
	}
	.service-hover .elementor-button-text {
		opacity: 1;
		transform: translateX(0);
	}

	


	
	
	
	
	
	
	
}